Loading...
Searching...
No Matches
itk::GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep > Class Template Reference

`#include <itkGPUNearestNeighborInterpolateImageFunction.h>`

## Detailed Description

template<typename TInputImage, typename TCoordRep = float>
class itk::GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep >

GPU version of NearestNeighborInterpolateImageFunction.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 44 of file itkGPUNearestNeighborInterpolateImageFunction.h.

Inheritance diagram for itk::GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | CPUSuperclass = NearestNeighborInterpolateImageFunction<TInputImage, TCoordRep>
using | GPUSuperclass = GPUInterpolateImageFunction<TInputImage, TCoordRep, CPUSuperclass>
using | Pointer = SmartPointer<Self>
using | Self = GPUNearestNeighborInterpolateImageFunction
Public Types inherited from itk::GPUInterpolateImageFunction< TInputImage, float, NearestNeighborInterpolateImageFunction< TInputImage, float > >
using | ConstPointer
using | ContinuousIndexType
using | CoordRepType
using | CPUSuperclass
using | GPUSuperclass
using | InputImageType
using | Pointer
using | Self

## Public Member Functions

virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (GPUNearestNeighborInterpolateImageFunction)
Public Member Functions inherited from itk::GPUInterpolateImageFunction< TInputImage, float, NearestNeighborInterpolateImageFunction< TInputImage, float > >
| ITK_DISALLOW_COPY_AND_MOVE (GPUInterpolateImageFunction)
| itkStaticConstMacro (InputImageDimension, unsigned int, TInputImage::ImageDimension)
Public Member Functions inherited from itk::GPUInterpolatorBase
virtual const char * | GetNameOfClass () const

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

bool | GetSourceCode (std::string &source) const override
| GPUNearestNeighborInterpolateImageFunction ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~GPUNearestNeighborInterpolateImageFunction () override=default
Protected Member Functions inherited from itk::GPUInterpolateImageFunction< TInputImage, float, NearestNeighborInterpolateImageFunction< TInputImage, float > >
GPUDataManager::Pointer | GetParametersDataManager () const override
| GPUInterpolateImageFunction ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~GPUInterpolateImageFunction () override=default
Protected Member Functions inherited from itk::GPUInterpolatorBase
| GPUInterpolatorBase ()
virtual | ~GPUInterpolatorBase ()=default

## Private Attributes

std::vector< std::string > | m_Sources {}

## Additional Inherited Members

Protected Attributes inherited from itk::GPUInterpolatorBase
GPUDataManager::Pointer | m_ParametersDataManager {}

## Member Typedef Documentation

## ConstPointer

template<typename TInputImage, typename TCoordRep = float>

using itk::GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep >::ConstPointer = SmartPointer<const Self>

Definition at line 57 of file itkGPUNearestNeighborInterpolateImageFunction.h.

## CPUSuperclass

template<typename TInputImage, typename TCoordRep = float>

using itk::GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep >::CPUSuperclass = NearestNeighborInterpolateImageFunction<TInputImage, TCoordRep>

Definition at line 54 of file itkGPUNearestNeighborInterpolateImageFunction.h.

## GPUSuperclass

template<typename TInputImage, typename TCoordRep = float>

using itk::GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep >::GPUSuperclass = GPUInterpolateImageFunction<TInputImage, TCoordRep, CPUSuperclass>

Definition at line 55 of file itkGPUNearestNeighborInterpolateImageFunction.h.

## Pointer

template<typename TInputImage, typename TCoordRep = float>

using itk::GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep >::Pointer = SmartPointer<Self>

Definition at line 56 of file itkGPUNearestNeighborInterpolateImageFunction.h.

## Self

template<typename TInputImage, typename TCoordRep = float>

using itk::GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep >::Self = GPUNearestNeighborInterpolateImageFunction

Standard class typedefs.

Definition at line 53 of file itkGPUNearestNeighborInterpolateImageFunction.h.

## Constructor & Destructor Documentation

## GPUNearestNeighborInterpolateImageFunction()

template<typename TInputImage, typename TCoordRep = float>

itk::GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep >::GPUNearestNeighborInterpolateImageFunction | ( |  | ) |

protected

## ~GPUNearestNeighborInterpolateImageFunction()

template<typename TInputImage, typename TCoordRep = float>

itk::GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep >::~GPUNearestNeighborInterpolateImageFunction | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<typename TInputImage, typename TCoordRep = float>

virtual const char * itk::GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::GPUInterpolateImageFunction< TInputImage, float, NearestNeighborInterpolateImageFunction< TInputImage, float > >.

## GetSourceCode()

template<typename TInputImage, typename TCoordRep = float>

bool itk::GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep >::GetSourceCode | ( | std::string & | source | ) | const

override protected virtual

Returns OpenCL source code for the transform. Returns true if source code was combined, false otherwise.

Reimplemented from itk::GPUInterpolatorBase.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TInputImage, typename TCoordRep = float>

itk::GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep >::ITK_DISALLOW_COPY_AND_MOVE | ( | GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep > |  | ) |

## New()

template<typename TInputImage, typename TCoordRep = float>

Pointer itk::GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep >::New | ( |  | ) |

static

Method for creation through the object factory.

## PrintSelf()

template<typename TInputImage, typename TCoordRep = float>

void itk::GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

## Field Documentation

## m_Sources

template<typename TInputImage, typename TCoordRep = float>

std::vector<std::string> itk::GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep >::m_Sources {}

private

Definition at line 77 of file itkGPUNearestNeighborInterpolateImageFunction.h.

Generated on 1768596610 for elastix by 1.15.0 |